package de.cliffbreak.core;

import de.cliffbreak.core.commands.CommandGM;
import de.cliffbreak.core.commands.CommandHub;
import de.cliffbreak.core.commands.CommandSpeed;
import de.cliffbreak.core.listeners.ChatListener;
import de.cliffbreak.core.listeners.PlayerJoinListener;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.plugin.java.JavaPlugin;

import java.io.File;

public class CliffbreakCore extends JavaPlugin {

    public File cfgFile = new File("plugins/Core", "config.yml");
    public FileConfiguration cfg = YamlConfiguration.loadConfiguration(cfgFile);

    @Override
    public void onEnable() {
        getServer().getPluginManager().registerEvents(new PlayerJoinListener(this), this);
        getServer().getPluginManager().registerEvents(new ChatListener(), this);
        this.getCommand("gm").setExecutor(new CommandGM());
        this.getCommand("speed").setExecutor(new CommandSpeed());
        this.getCommand("hub").setExecutor(new CommandHub(this));
    }
}
