package de.cliffbreak.core.commands;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class CommandSpeed implements CommandExecutor {
    @Override
    public boolean onCommand(CommandSender commandSender, Command command, String s, String[] strings) {
        if (commandSender instanceof Player) {
            Player p = (Player) commandSender;
            if (!p.hasPermission("cliffbreak.command.speed")) {
                p.sendMessage("§cNope");
                return true;
            }
            if (strings.length == 0)
                p.setFlySpeed(0.1f);
            else
                try {
                    int speed = Integer.parseInt(strings[0]);
                    if (speed < 0 || speed > 10)
                        p.sendMessage("§c§lFehler: §rDas Argument muss zwischen 0 und 10 liegen.");
                    else
                        p.setFlySpeed(speed / 10f);
                } catch (NumberFormatException ex) {
                    p.sendMessage("§c§lFehler: §rDas Argument muss zwischen 0 und 10 liegen.");
                }
        }
        return true;
    }
}
