package de.cliffbreak.core.listeners;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.AsyncPlayerChatEvent;

import java.util.Calendar;
import java.util.Date;

public class ChatListener implements Listener {

    @EventHandler()
    public void onChat(AsyncPlayerChatEvent e) {
        e.setCancelled(true);
        Calendar calendar = Calendar.getInstance();
        Date date = calendar.getTime();
        String timestamp = String.format("%02d", date.getHours()) + ":" + String.format("%02d", date.getMinutes());
        for (Player all : Bukkit.getOnlinePlayers()) {
            all.sendMessage(" §8" + timestamp + " §7| §b" + e.getPlayer().getName() + " §7>> §f" + e.getMessage());
        }
    }
}

